package main

//import "github.com/spf13/viper"
//import "encoding/json"
import log "github.com/sirupsen/logrus"

const steemAPIURL = "https://api.steemit.com"
const redisUrl = "localhost:6379"

//const steemAPIURL = "http://10.100.202.175:8090"
//const steemAPIURL = "http://las2.local:8090"

func main() {
	log.SetLevel(log.DebugLevel)
	var x *BlockFetcher
	x = NewBlockFetcher(&BlockFetcherConfig{
		api:                   nil,
		desiredFetcherThreads: 40,
		startBlock:            10000,
		endBlock:              10005,
	})
	_ = x
}

/*
func mainx() {
	app := NewApp(&appconfig{
		logLevel:       log.DebugLevel,
		apiUrl:         steemAPIURL,
		redisUrl:       redisUrl,
		fetcherThreads: 40,
	})
	app.main()
}

*/
